<?php

namespace Drupal\cacheprofiler;

/**
 *
 */
interface CacheMetadataExtractorInterface {

  /**
   * Extract the cache metadata of an entity.
   *
   * @param \Drupal\Core\Entity\ContentEntityInterface $entity
   *   Content entity.
   * @param string $displayId
   *   Display ID.
   *
   * @return array
   *   Cache tags.
   */
  public function extractCacheMetadata($entity, $displayId = 'default');

}
